taccuino.vo

## Class RilevazioneRequestDTO

- java.lang.Object
- - taccuino.vo.RilevazioneRequestDTO

- Direct Known Subclasses:
    RilevazioneResponseDTO

      public class RilevazioneRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `code`
    `protected String` | `codeSystem`
    `protected String` | `codeSystemName`
    `protected Double` | `codeSystemVersion`
    `protected LocalDate` | `dataRilevazione`
    `protected String` | `modalitaRilevazione`
    `protected String` | `tipoRilevazione`
    `protected String` | `unitaDiMisura`
    `protected Double` | `valore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RilevazioneRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `String` | `getCodeSystem()`
    `String` | `getCodeSystemName()`
    `Double` | `getCodeSystemVersion()`
    `LocalDate` | `getDataRilevazione()`
    `String` | `getModalitaRilevazione()`
    `String` | `getTipoRilevazione()`
    `String` | `getUnitaDiMisura()`
    `Double` | `getValore()`
    `void` | `setCode(String code)`
    `void` | `setCodeSystem(String codeSystem)`
    `void` | `setCodeSystemName(String codeSystemName)`
    `void` | `setCodeSystemVersion(Double codeSystemVersion)`
    `void` | `setDataRilevazione(LocalDate dataRilevazione)`
    `void` | `setModalitaRilevazione(String modalitaRilevazione)`
    `void` | `setTipoRilevazione(String tipoRilevazione)`
    `void` | `setUnitaDiMisura(String unitaDiMisura)`
    `void` | `setValore(Double valore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modalitaRilevazione

          protected String modalitaRilevazione

    - #### tipoRilevazione

          protected String tipoRilevazione

    - #### dataRilevazione

          protected LocalDate dataRilevazione

    - #### unitaDiMisura

          protected String unitaDiMisura

    - #### valore

          protected Double valore

    - #### code

          protected String code

    - #### codeSystem

          protected String codeSystem

    - #### codeSystemName

          protected String codeSystemName

    - #### codeSystemVersion

          protected Double codeSystemVersion

  - ### Constructor Detail

    - #### RilevazioneRequestDTO

          public RilevazioneRequestDTO()

  - ### Method Detail

    - #### getModalitaRilevazione

          public String getModalitaRilevazione()

    - #### setModalitaRilevazione

          public void setModalitaRilevazione(String modalitaRilevazione)

    - #### getTipoRilevazione

          public String getTipoRilevazione()

    - #### setTipoRilevazione

          public void setTipoRilevazione(String tipoRilevazione)

    - #### getDataRilevazione

          public LocalDate getDataRilevazione()

    - #### setDataRilevazione

          public void setDataRilevazione(LocalDate dataRilevazione)

    - #### getUnitaDiMisura

          public String getUnitaDiMisura()

    - #### setUnitaDiMisura

          public void setUnitaDiMisura(String unitaDiMisura)

    - #### getValore

          public Double getValore()

    - #### setValore

          public void setValore(Double valore)

    - #### getCode

          public String getCode()

    - #### setCode

          public void setCode(String code)

    - #### getCodeSystem

          public String getCodeSystem()

    - #### setCodeSystem

          public void setCodeSystem(String codeSystem)

    - #### getCodeSystemName

          public String getCodeSystemName()

    - #### setCodeSystemName

          public void setCodeSystemName(String codeSystemName)

    - #### getCodeSystemVersion

          public Double getCodeSystemVersion()

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(Double codeSystemVersion)